import 'package:hub/components/organism_components/schedule_visit_detail/schedule_visit_detail_model.dart';
import 'package:hub/components/templates_components/view_visit_detail/view_visit_detail_model.dart';
import 'package:hub/components/templates_components/visit_details_modal_template_component/visit_details_modal_template_component_widget.dart';
import 'package:hub/flutter_flow/flutter_flow_model.dart';

import 'package:flutter/material.dart';

class VisitDetailsModalTemplateComponentModel
    extends FlutterFlowModel<VisitDetailsModalTemplateComponentWidget> {
  ///  Local state fields for this component.

  Color statusColor = const Color(0xff000000);

  ///  State fields for stateful widgets in this component.

  // Model for viewVisitDetail component.
  late ViewVisitDetailModel viewVisitDetailModel;
  // Model for scheduleVisitDetail component.
  late ScheduleVisitDetailModel scheduleVisitDetailModel;

  @override
  void initState(BuildContext context) {
    viewVisitDetailModel = createModel(context, () => ViewVisitDetailModel());
    scheduleVisitDetailModel =
        createModel(context, () => ScheduleVisitDetailModel());
  }

  @override
  void dispose() {
    viewVisitDetailModel.dispose();
    scheduleVisitDetailModel.dispose();
  }
}
